# Update department self-serve status | Copenhagen Truck Wash API

### Copenhagen Truck Wash API Help

# Update department self-serve status

This endpoint documentation is generated directly from `openapi.yaml`.

## Endpoint

PUT /departments/self-serve/enabled

## Operation

Operation ID: `updateDepartmentSelfServeEnabled`

Enable or disable self-serve for a specific department

## Authentication

Security requirements:

Scheme | Scopes
--- | ---
BearerAuth | -

## Parameters

Name | In | Required | Type | Description
--- | --- | --- | --- | ---
id | query | yes | integer | Department ID
enabled | query | yes | string | Enabled status (true/false)

## Responses

Status | Description | Content Types
--- | --- | ---
200 | Status updated successfully | application/json
404 |  |

Schema for response `200` (`application/json`):

{ "properties": { "message": { "type": "string" } }, "type": "object" }
17 March 2026